package net.wanji.web.controller;


import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import net.wanji.feign.pojo.result.Result;
import net.wanji.web.po.AreaTreePO;
import net.wanji.web.po.CrossInfoPO;
import net.wanji.web.po.PageResultPO;
import net.wanji.web.service.TBaseCrossInfoService;
import net.wanji.web.vo.BaseCrossInfoVO;
import net.wanji.web.vo.CrossInfoVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * <p>
 * 路口基础表 前端控制器
 * </p>
 *
 * @author wj
 * @since 2022-11-28
 */
@Api(value = "路网管理-路口管理", description = "路网管理-路口管理", tags = "路网管理-路口管理")
@RestController
@RequestMapping("/crossInfo")
public class TBaseCrossInfoController {

    @Autowired
    private TBaseCrossInfoService crossInfoService;

    @ApiOperation(value = "路网管理-路口管理-查询", notes = "路网管理-路口管理-查询")
    @PostMapping("/list")
    public Result<PageResultPO<CrossInfoPO>> list(@RequestBody @Validated CrossInfoVO crossInfoVO) {
        return crossInfoService.selectAll(crossInfoVO);
    }

    @ApiOperation(value = "路网管理-路口管理-修改", notes = "路网管理-路口管理-修改")
    @PostMapping("/updateOne")
    public Result<String> updateOne(@RequestBody @Validated(BaseCrossInfoVO.Update.class) BaseCrossInfoVO crossInfoPO) {
        return crossInfoService.updateOne(crossInfoPO);
    }

    @ApiOperation(value = "路网管理-路口管理-批量删除", notes = "路网管理-路口管理-批量删除")
    @PostMapping("/delete")
    public Result<String> delete(@RequestBody List<String> ids) {
        return crossInfoService.delete(ids);
    }

    @ApiOperation(value = "路网管理-路口管理-增加", notes = "路网管理-路口管理-增加")
    @PostMapping("/addOne")
    public Result<String> addOne(@RequestBody @Validated(BaseCrossInfoVO.Save.class) BaseCrossInfoVO crossInfoPO) {
        return crossInfoService.addOne(crossInfoPO);
    }

    @ApiOperation(value = "路网管理-路口管理-区域名称下拉框", notes = "路网管理-路口管理-区域名称下拉框")
    @GetMapping("/areaTree")
    public Result<List<AreaTreePO>> areaTree() {
        return crossInfoService.areaTree();
    }

}
