package net.wanji.web.mapper;

import net.wanji.web.po.CrossInfo;
import net.wanji.web.vo.situationDetection.CrossDeviceStatusInfoResultVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
* @Description: [路口信息持久层实现]</p>
* @author wanji
* @version 1.0
* Created on 2019年05月06日
*/
@Repository
//@DS("webService")
public interface CrossInfoMapper {

    /**
     * @description: 根据路口id删除基础信息
     * @param crossId 路口id
     * @return
     * @author wanji
     * @date 2020/3/19 16:10
     */
    void deleteByCrossId(@Param("crossId") String crossId);

    /**
     * @description: 根据条件获取路口基础信息列表
     * @param crossName 路口名称
     * @return
     * @author wanji
     * @date 2020/3/19 16:10
     */
    void listCrossInfo(@Param("crossName") String crossName);

    CrossInfo selectById(String crossId);

    List<CrossDeviceStatusInfoResultVO> listCrossDeviceStatusInfo();
}