package net.wanji.web.mapper.scheme;

import io.lettuce.core.dynamic.annotation.Param;
import net.wanji.web.po.scheme.CrossSchemePO;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 方案基础信息;(t_base_cross_scheme)表数据库访问层
 * @author : hanbing
 * @date : 2023-1-3
 */
@Repository
public interface CrossSchemeMapper {

    void deleteByCrossId(@Param("crossId") String crossId);

    void insertBatch(@Param("entities") List<CrossSchemePO> entities);

    Integer selectIdByCrossIdAndSchemeNo(@Param("crossId") String crossId, @Param("schemeNo") String schemeNo);

    void updateCoordPhase(@Param("crossId") String crossId,
                          @Param("schemeNo") String schemeNo,
                          @Param("phaseId") Integer phaseId);
}
