package net.wanji.web.po.scheme;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Kent HAN
 * @date 2023/1/3 9:40
 */
@Data
public class CrossLightsPO {
    /** 灯组ID */
    @ApiModelProperty(name = "灯组ID",notes = "")
    private Integer id ;
    /** 灯组号 */
    @ApiModelProperty(name = "灯组号",notes = "")
    private String lightsNo ;
    /** 灯组类型：机动车（1圆饼灯；2左转灯；3直行灯；4右转灯；5掉头灯；）；非机动车（10非机动车灯；11左转灯；12直行灯；13右转灯；14掉头灯）；20行人灯；21行人进口灯；22行人出口灯；30公交专用灯 */
    @ApiModelProperty(name = "灯组类型：机动车（1圆饼灯；2左转灯；3直行灯；4右转灯；5掉头灯；）；非机动车（10非机动车灯；11左转灯；12直行灯；13右转灯；14掉头灯）；20行人灯；21行人进口灯；22行人出口灯；30公交专用灯",notes = "")
    private Integer type ;
    /** 灯组放行方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北 */
    @ApiModelProperty(name = "灯组放行方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北",notes = "")
    private Integer dir ;
    /** 灯组序号 */
    @ApiModelProperty(name = "灯组序号",notes = "")
    private Integer sort ;
    /** 路口ID */
    @ApiModelProperty(name = "路口ID",notes = "")
    private String crossId ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date gmtCreate ;
    /** 修改时间 */
    @ApiModelProperty(name = "修改时间",notes = "")
    private Date gmtModified ;
}
